# eric4.Preferences.ConfigurationPages.EditorSearchPage

Module implementing the Editor Search configuration page (1).

### Classes

EditorSearchPage | Class implementing the Editor Search configuration page (1).

### Functions

create | Module function to create the configuration page.

## EditorSearchPage

Class implementing the Editor Search configuration page (1).

### Derived from

ConfigurationPageBase, Ui_EditorSearchPage

### Methods

EditorSearchPage | Constructor
on_searchMarkerButton_clicked | Private slot to set the colour of the search markers.
save | Public slot to save the Editor Search configuration.

#### EditorSearchPage (Constructor)

EditorSearchPage()

Constructor

#### EditorSearchPage.on_searchMarkerButton_clicked

on_searchMarkerButton_clicked()

Private slot to set the colour of the search markers.

#### EditorSearchPage.save

save()

Public slot to save the Editor Search configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up